"use strict";

var _ = _interopRequireDefault(require("."));

var _useRest = _interopRequireDefault(require("../useRest"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('../useRest', () => ({
  __esModule: true,
  default: jest.fn()
}));
describe('useFilters custom hook', () => {
  it('should format search string', () => {
    (0, _.default)({
      fields: ['foo', 'bar', 'quux'],
      coll: 'demo'
    });
    expect(_useRest.default).toHaveBeenCalledWith(expect.objectContaining({
      url: '/search?collectionName=demo&fields[]=foo&fields[]=bar&fields[]=quux'
    }));
  });
  it.skip('should append query string', () => {
    (0, _.default)({
      query: '?search=hi',
      fields: ['foo'],
      coll: 'demo'
    });
    expect(_useRest.default).toHaveBeenCalledWith(expect.objectContaining({
      url: '/search?collectionName=demo&fields[]=foo&search=hi'
    }));
  });
  it('should create a drop-down options list', () => {
    _useRest.default.mockReturnValue({
      fields: {
        example: ['foo', 'bar']
      }
    });

    const filters = (0, _.default)({
      fields: ['foo'],
      coll: 'demo'
    });
    expect(filters.getOptions('example')).toEqual(['foo', 'bar']);
  });
});